<template>
  <div id="app" :style="customFontStyle">
    <Loader :loading="this.$store.state.loading" :color1=$store.state.custom.color color2="#ffffff" color3="#c0c0c0"/>
    <MenuComponent/>
    <router-view/>
  </div>
</template>

<script>
import Loader from '@/components/loader/LoaderComponent'
import MenuComponent from '@/components/menu/MenuComponent'
import custom from '@/shared/custom'
export default {
  components: {
    Loader,
    MenuComponent
  },
  computed: {
    customFontStyle () {
      return custom.customFontStyle()
    }
  },
  mounted () {
    this.$store.commit('saveLoading', false)
  }
}
</script>

<style>
.center {
  text-align: center;
}
#app {
  /* font-family: Avenir, Helvetica, Arial, sans-serif; */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  /* color: #2c3e50; */
}
.bm-overlay {
  background: rgba(255, 255, 255, 0.3);
}
</style>
